{
	"cache": {
		"db": {
			"db": "默认false，非必须，缓存数据库，启用后能减少数据库的读写压力",
			"session": "默认true，非必须，缓存web session，同时缓存session保持的用户缓存",
			"timeout": "默认60 * 60 * 24 * 30，非必须，过期时间，超时自动删除"
		},
		"memory": {
			"db": "默认true，非必须，缓存数据库，启用后能减少数据库的读写压力",
			"session": "默认true，非必须，缓存web session，同时缓存session保持的用户缓存",
			"timeout": "默认60 * 60 * 2，非必须，过期时间，超时自动删除"
		},
		"redis": {
			"db": "默认true，非必须，缓存数据库，启用后能减少数据库的读写压力",
			"host": "默认服务ip：127.0.0.1，必须，如果需要使用redis服务时配置，",
			"password": "默认密码空，必须，如果需要使用redis服务时配置，默认密码空",
			"port": "默认服务端口：6379，必须，如果需要使用redis服务时配置，",
			"session": "默认true，非必须，缓存web session，同时缓存session保持的用户缓存",
			"timeout": "默认60 * 60 * 24 * 15，非必须，过期时间，超时自动删除"
		},
		"注释": "可配置memory，db，redis，默认启用memory，默认优先级为memory\u003eredis\u003edb,memory与数据库缓存设置项一致，缓存数据填充会自动反方向反哺，加入memory缓存过期将自动从redis更新，但memory永远不会更新redis，如果是集群建议不要开启memory，配置即启用"
	},
	"codeConfig": {
		"packageName": "默认无，必须，包名称以及应用名，生成代码的配置文件地址，比如config/app.json，数据库有更新时自动更新配置文件以及对应的生成文件",
		"注释": "配置即启用，非必须，默认无"
	},
	"crossDomain": "默认空 非必须，空字符串为不开启，如果需要跨域设置，auto为智能开启所有网站允许跨域，http://www.baidu.com为指定域允许跨域",
	"db": {
		"mysql": {
			"host": "默认127.0.0.1，必须，数据库ip地址",
			"name": "默认test，必须，数据库名称",
			"password": "默认root，必须，数据库密码",
			"port": "默认3306，必须，数据库端口",
			"prefix": "默认空，非必须，数据表前缀",
			"slave": {
				"host": "默认127.0.0.1，必须，数据库ip地址",
				"name": "默认test，必须，数据库名称",
				"password": "默认root，必须，数据库密码",
				"port": "默认3306，必须，数据库端口",
				"user": "默认root，必须，数据库用户名",
				"注释": "从数据库配置，mysql里配置slave项即启用主从读写，减少数据库压力"
			},
			"user": "默认root，必须，数据库用户名",
			"注释": "除prefix及主从数据库slave项，其他全部必须"
		},
		"sqlite": {
			"path": "默认config/data.db，必须，数据库位置"
		},
		"注释": "配置即启用，非必须，默认使用sqlite数据库"
	},
	"defFile": "默认访问index.html或者index.htm文件，必须，默认访问文件类型",
	"error": {
		"1": "内部系统异常，在环境配置，文件访问权限等基础运行环境条件不足造成严重错误时使用",
		"2": "访问权限异常，没有登录或者登录异常等时候使用",
		"3": "请求参数异常，request参数不满足要求，比如参数不足，参数类型错误，参数不满足要求等时候使用",
		"4": "数据处理异常,数据库操作或者三方请求返回的结果非正常结果，比如数据库突然中断等时候使用",
		"5": "数据结果异常，一般用于无法给出response要求的格式要求下使用，比如response需要的是string格式但你只能提供int数据时",
		"注释": "web服务内置错误提示，自定义异常建议10开始"
	},
	"logFile": "无默认，非必须，如果需要存储日志文件时使用，保存格式为:a/b/c/20060102150405.txt,将生成：a/b/c/年月日时分秒.txt，按需设置",
	"logLevel": "默认0，必须，0关闭，1打印，日志等级",
	"mode": "默认0,非必须，0生产模式，1，测试模式，2，开发模式，在开发模式下会显示更多的数据用于开发测试，并能够辅助研发，自动生成配置文件、代码等功能,web无缓存，数据库不启用缓存",
	"modeRouterStrict": "默认false,必须，路由严格模式false,为大小写忽略必须匹配，true必须大小写匹配",
	"port": "默认80，必须，web服务开启Http端口，0为不启用http服务,默认80",
	"sessionName": "默认HOTIME，必须，设置session的cookie名",
	"tlsCert": "默认空，非必须，https证书",
	"tlsKey": "默认空，非必须，https密钥",
	"tlsPort": "默认空，非必须，web服务https端口，0为不启用https服务",
	"tpt": "默认tpt，必须，web静态文件目录，默认为程序目录下tpt目录",
	"webConnectLogFile": "无默认，非必须，webConnectLogShow开启之后才能使用，如果需要存储日志文件时使用，保存格式为:a/b/c/20060102150405.txt,将生成：a/b/c/年月日时分秒.txt，按需设置",
	"webConnectLogShow": "默认true，非必须，访问日志如果需要web访问链接、访问ip、访问时间打印，false为关闭true开启此功能"
}